import cv2

from DetectHelper import DetectHelper 

def main():
    weights = 'yolov7.pt'
    conf = 0.25
    imgsz = 640
    source = '/data/jsj/dev/cpp/DisparityToCut/build-Debug/230423/plant1/1_1.jpg'
    img0 = cv2.imread(source)
    img0Size = img0.shape
    w = int(img0Size[0] / 10 * 3 )
    h = int( img0Size[1] / 10 * 3)

    img0 = cv2.resize(img0 , [h ,w])
    detectHelper = DetectHelper(conf , imgsz  )
    detectHelper.loadModule(weights)
    detectHelper.setClassName("potted plant")
    detectHelper.setRectColor(0,0,255)
    # class DetectImgType(Enum):
    # GrayWithRect = auto()
    # ColorWithRect = auto() 
    # GrayWithoutBackGround = auto()
    # ColorWithoutBackGround = auto()
    # DrawTemplate = auto()
    # DrawAllRects = auto()
    img , xywh = detectHelper.Detect(img0 , 4)
    cv2.imshow("ret" , img)

    print(xywh)
    cv2.waitKey(0) 
    return 
        # def __init__(self , threshold: float,imgsz: int , targetName: str , outputName: str) :
        # self.m_threshold = threshold
        # self.m_typeName = targetName
        # self.m_outName = outputName
        # self.m_imgsz = imgsz

if __name__ == '__main__':
    main()